'use strict';

function createHighlightJsAdapter(hljs) {
  return {
    getHighlighter: () => ({ code, language }) => {
      const lang = hljs.getLanguage(language) ? language : "plaintext";
      return {
        highlightedCode: hljs.highlight(code.trim(), { language: lang }).value,
        isHighlighted: true,
        codeElementProps: { className: `hljs ${lang}` }
      };
    }
  };
}

exports.createHighlightJsAdapter = createHighlightJsAdapter;
//# sourceMappingURL=highlight-js-adapter.cjs.map
